Subject: bug#13659: 24.2.93; OSX fullscreen makes toolbar appear (can't turn off)

From: Glenn Morris <[email-masked]>
Date: Fri, 08 Feb 2013 19:30:38 -0500

Michael Potts wrote:

> I just upgraded from 24.2.92 to 24.2.93, and noticed a change
> (regression?) in fullscreen mode: now, the toolbar (re)appears at the
> top, whether or not it's actually enabled: and if you disable it again
> by toggling toolbar-mode then it disappears but the modeline jumps up by
> about the same height (permanently) from the bottom.  I did notice that
> in this version the fullscreen UI element has appeared in the chrome,
> so evidently there was some work on integrating the fullscreen patch,
> but it appears to have a bad interaction with toolbar.

AFAICS, there were no code changes related to fullscreen handling
between 24.2.92 and 24.2.93.

> In GNU Emacs 24.2.93.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
> of 2013-02-07 on bob.porkrind.org
> Windowing system distributor `Apple', version 10.3.1187